function getSelectedValue(comboBoxName) {
    var comboBox = document.getElementById(comboBoxName);
    return comboBox[comboBox.selectedIndex].value;
}

function setSelectedValue(comboBoxName, selectedValue) {
    var comboBox = document.getElementById(comboBoxName);
    var len = comboBox.options.length;
    for (var i = 0; i < len; i += 1) {
        if (comboBox.options[i].value == selectedValue) {
            comboBox.selectedIndex = i;
        }
    }
}

function updateLogger(loggerName, logLevelId, additivityId) {
    jQuery.noConflict();
    var persist = document.getElementById('persistLogId').checked;

    var logLevelWidget = document.getElementById(logLevelId);
    var logLevel = logLevelWidget[logLevelWidget.selectedIndex].value;

    var additivityWidget = document.getElementById(additivityId);
    var additivity = additivityWidget[additivityWidget.selectedIndex].value;

    jQuery.post('update_logger-ajaxprocessor.jsp',
                {loggerName: loggerName,
                  logLevel:logLevel,
                  additivity: additivity,
                  persist: persist
                },
                function(data){
                     CARBON.showInfoDialog(data);
                });
}

function showLoggers(beginsWith) {
    jQuery.noConflict();
    var filterText = jQuery.trim(document.getElementById('filterText').value);
    jQuery("#loggers").load('loggers-ajaxprocessor.jsp?filterStr=' + filterText + '&beginsWith=' + beginsWith);
}

function getAppenderData() {
    jQuery.noConflict();
    var appenderName = getSelectedValue("appenderCombo");
    jQuery("#appenderSettings").load('appenders-ajaxprocessor.jsp?appenderName=' + appenderName);
}

function updateAppender() {
    jQuery.noConflict();
    var appenderName = getSelectedValue("appenderCombo");
    var logPattern = jQuery.trim(document.getElementById('appenderLogPattern').value);
    var threshold = getSelectedValue("appenderThresholdCombo");

    var logFile = null;
    if (document.getElementById('appenderLogFile')) {
        logFile = jQuery.trim(document.getElementById('appenderLogFile').value);
    }

    var sysLogHost = null;
    if (document.getElementById('appenderSysLogHost')) {
        sysLogHost = jQuery.trim(document.getElementById('appenderSysLogHost').value);
    }

    var facility = null;
    if (document.getElementById("appenderFacilityCombo")) {
        facility = getSelectedValue("appenderFacilityCombo");
    }
    var persist = document.getElementById('persistLogId').checked;

    jQuery.post('update_appender_ajaxprocessor.jsp',
                {appenderName: appenderName,
                 logPattern: logPattern,
                 threshold: threshold,
                 logFile: logFile,
                 sysLogHost: sysLogHost,
                 facility: facility,
                 persist: persist
                }, function(data){
                     CARBON.showInfoDialog(data);
                });
}

function globalLog4jUpdateConfig(){
        document.globalLog4jConfigForm.action = "updateLog4jGlobal.jsp";
        document.globalLog4jConfigForm.submit();
    }

function restoreLog4jConfigToDefaults(){
        document.globalLog4jConfigForm.action = "restoreDefaults.jsp";
        document.globalLog4jConfigForm.submit();
    }

function showConfirmationDialogBox(message, yesCallback){
   jQuery.noConflict();
   CARBON.showConfirmationDialog(message,yesCallback,null);    
}